/*******************************************************************************/
/*                                                                             */
/*    Copyright (c) 2007 Analog Devices, Inc.  All Rights Reserved.            */
/*    This software is proprietary to Analog Devices, Inc. and its 			   */
/*	  licensors.                                  							   */
/*                                                                             */
/*    CHANGES:  07/02/2007  1.00  - initial public release  				   */
/*																			   */
/*******************************************************************************/

/*********************************************************************

Include files

*********************************************************************/
#include "main.h"
#include "system.h"

/*
	Function:void InitSDRAM(void)
	
	Description: SDRAM init
*/

void InitSDRAM(void)
{
    	*pEBIU_SDBCTL = 0x00000015;					//SDRAM Memory Bank Control Register
		ssync();
		*pEBIU_SDRRC =  0x000003a9;				//SDRAM Refresh Rate Control Register
		ssync();
		*pEBIU_SDGCTL = 0x0091998f;					//SDRAM Memory Global Control Register
		ssync();

		//enable CDPRIO bit
		#ifdef ENABLE_CDPRIO
			*pEBIU_AMGCTL |= 0x01ff;
		#endif
}
